import type { PropsWithChildren, RefAttributes } from "react";
import React from "react";
import type { IModalProps } from "./IModalProps";
interface IModalConfirmProps extends IModalProps {
    onAction: () => Promise<void> | void;
    warning?: string;
}
export interface IModalConfirmRef {
    open: () => void;
}
export interface IModalConfirm extends React.ForwardRefExoticComponent<PropsWithChildren<IModalConfirmProps> & RefAttributes<IModalConfirmRef>> {
}
export declare const ModalConfirm: IModalConfirm;
export {};
