export declare type Size = "responsive" | "xs" | "sm" | "md" | "lg" | "xl";
export declare class SizeHelper {
    static map: Map<Size, [string | number, string | number]>;
    static width: (size?: Size | undefined) => number | string;
    static height: (size?: Size | undefined) => number | string;
}
